Package net.shibboleth.idp.ui.csrf

# Class InvalidCSRFTokenException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.webflow.core.FlowException
org.springframework.webflow.execution.FlowExecutionException
net.shibboleth.idp.ui.csrf.InvalidCSRFTokenException

All Implemented Interfaces:
  `Serializable`

public class InvalidCSRFTokenException extends FlowExecutionException
Exception indicating a problem validating a CSRF token at runtime.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final long`
`serialVersionUID`
Serial version UID.

## Constructor Summary

Constructors
Constructor
Description
`InvalidCSRFTokenException(String flowId, String stateId, String message)`
Creates a new invalid CSRF token execution exception.

## Method Summary

### Methods inherited from class org.springframework.webflow.execution.FlowExecutionException

`getFlowId, getStateId`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### serialVersionUID

private static final long serialVersionUID
Serial version UID.

See Also:
  - Constant Field Values

## Constructor Details

### InvalidCSRFTokenException

public InvalidCSRFTokenException(@Nonnull String flowId, @Nullable String stateId, @Nonnull String message)
Creates a new invalid CSRF token execution exception.

Parameters:
  `flowId` - the flow where the exception occurred
  `stateId` - the state where the exception occurred
  `message` - a descriptive message